import '@/assets/css/normalize.css'
import '@/assets/css/_import.less'
import { createApp } from 'vue'
import { createPinia } from 'pinia'
import App from './App.vue'
import router from './router'
import { registe } from './register.js'

adaptConfig()

const app = createApp(App)

app.use(createPinia()).use(router)

registe(app)

app.mount('#app')

// 自适应设置
function adaptConfig() {
    resize(document)
    window.addEventListener('resize', () => {
        resize(document)
    })
    function resize(doc) {
        let docE1 = doc.documentElement
        let clientWidth = docE1.clientWidth
        // 乘以100，1为了不受fontsize小于12的影响，2为了计算方便；
        let size = Math.round((clientWidth / 375) * 100)
        docE1.style.fontSize = size + 'px'
    }
}
