import { createRouter, createWebHashHistory } from 'vue-router'

const routes = [
    {
        path: '/tumour',
        name: 'tumour',
        component: () => import(/* webpackChunkName: "page-tumour" */ '@/tumour/Tumour.vue'),
        children: [
            {
                path: 'screening/simple/form',
                name: 'tumour-screening-simple-form',
                component: () => import(/* webpackChunkName: "page-tumour" */ '@/tumour/screening/simple/form/Index.vue')
            }
        ]
    },
    {
        path: '/chronic',
        name: 'chronic',
        component: () => import(/* webpackChunkName: "page-chronic" */ '@/chronic/Chronic.vue'),
        children: [
            {
                path: 'screening/first/form',
                name: 'chronic-screening-first-form',
                component: () => import(/* webpackChunkName: "page-chronic" */ '@/chronic/screening/first/form/Index.vue')
            }
        ]
    },
]

const router = createRouter({
  history: createWebHashHistory(),
  routes
})

export default router
